[1.5.2] [SSP/SMP] IndustrialCraft 2 Combo Armors v1.14.3

  • Wow ok this is amazing! gonna check it out in a few days after my trip abroad. Thanks for updating this! Again!

    Iff yu find misstaks, you may keep them! (Or tell me if neccessary...)

  • Discharge module doesn't seem to work on 1.7.10


    theres like 100 something downloads did nobody else try this or is there something wrong with me?


    Edit: or cloaking or solar helmets? Assuming my static boots haven't been doing anything, though I never expected to really notice them to begin with.


    Double edit: I've figured out something, it isn't actually installing the upgrades like it will in single player. Tested and those things work in single player, it seems like its just not installing them in multi

    The post was edited 3 times, last by DC: ().

  • It seems that my Ultimate Nansuit doenst charge my tools with IC2# 610<
    With 595 it works. maybe there was a change in ic2 api or a bug?


    @ DC
    You are right. My solarhelmet didn't do anything on smp. haven't tried the discharge module yet.

  • Well its not that they don't do anything exactly, at least with the discharge and cloaking module which I tested in single player. Its that they don't actually install into the armor in multiplayer. Once a module is properly installed it actually says what it has installed in it in the little description.


    Oh I also noticed in the creative mode tab, the mod is organized neatly in single player but in multiplayer things are a bit out of order. I'm not sure if that matters.




    I suppose I should add I tried on ic2 version 632 then 633.

  • You should integrate this (and all other addons that are not integrated yet) into Ztech. The more stuff in one pack, the merrier.

    Nuclear Control is going to remain separate, it seems more appropriate to do so.

    Help the Official FTB Wiki reach a billion pages! [I had to keep changing it so there ^^]

    Someone should fix the gravel texture in the background. It's been years now, come on people.

  • Not to say ZTech isn't going to have any input from me ;) some rebalancement may be required.

    Help the Official FTB Wiki reach a billion pages! [I had to keep changing it so there ^^]

    Someone should fix the gravel texture in the background. It's been years now, come on people.

  • Uh, umm guys? Was there any (at least a bit) recommended version of IC2CA for 1.6.4? On ic2exp (version 397 i think)?
    If there is, could you pls link the file or the post where it was mentioned? Thanks.
    - Shadow


    €dit: Nvm, I suppose this one is the best to use: Post 398 by Zuxelus


    If there is a better one, please correct me.

    Iff yu find misstaks, you may keep them! (Or tell me if neccessary...)

  • I think Player's tweaks may have broken ComboArmours again:

    145 Mods isn't too many. 9 types of copper and 8 types of tin aren't too many. 3 types of coffee though?

    I know that you believe that you understood what you think I said, but I am not sure you realise that what you read was not what I meant.


    ---- Minecraft Crash Report ----
    // I just don't know what went wrong :(


    I see this too much.

  • I just started mc with the 1.14.3.08c version of this, and as soon as I placed down an armor assembler (or opened the gui, not sure there, did it instantly) I got this crash:


    I left out the system information because the list of mods would have busted the character limit by far...
    Also something else which might be related to the crash but is not in the crash log:



    (found in forge log)


    Maybe I was the victim of an incompatibility? or is the second error a result of the first one?
    HALP ME!
    I'd like to use the mod without crashes ;D


    Thanks already,
    - Shadow


    €dit: also, i there is no fix available for this version, could you please recommend a working version for 1.6.4? THX again.

    Iff yu find misstaks, you may keep them! (Or tell me if neccessary...)

  • 1.14.3.08c is for IC2 classic only. It is for IC2 1.118.401-lf. Don't use it with IC2 experimental.
    About 1.6.4 - I will try to share normal 1.6.4 build this week. Now last build is 1.14.3.08.

  • Oh ok, sorry. I thought that it was a subversion, my bad.
    Thanks for helping :D
    And thanks for updating too!
    - Shadow


    €dit: For the next update, would it be possible to create a config option for the max stack size for the assembler overclocker (Max would be 64 of course :D)? Because I'd like to have a max stack size of 8 for casual gameplay but maybe something lower for a server or so. Thanks for considering!

    Iff yu find misstaks, you may keep them! (Or tell me if neccessary...)

    The post was edited 1 time, last by Shadowlife ().

  • Hi, I collect unique server and was looking for this add-on for version 1.6.4, and finally recently found. So when I made Armor Assembler and set, the server is hung and crashed
    (I apologize for my language, use a translator)


    P.S. From the posts above, I realized that 1.14.3.08 must be suitable for exp version, but it gives an error, both the client and the server. but version 1.14.3.08c went by exp version (I use the 389th, because later refuse to craft diamond drill :D)

  • 1.14.3.08c is for IC2 classic only. It is for IC2 1.118.401-lf. Don't use it with IC2 experimental.


    Please wait for the next 1.6.4 build because current 1.14.3.08 has a lot of bugs.

  • I'm running MC 1.5.2 with IC2, Gregtech and Gravisuit plus another 60 or so mods :P


    Is there anyway to add these upgrades to my gravichestplate?
    Like the Discharge upgrade?
    I enabled:



    # Disable GraviSuite integration, regardless of whether or not the mod is found.
    B:gs-enable=false


    in the config file, but nothing happens :(